Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network151.3.112.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
151.3.112.0
Broadcast address
151.3.127.255
First usable
151.3.112.1
Last usable
151.3.127.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
B (default /16)
As numbers
Hex 97037000 · Integer 2533584896 to 2533588991
Reverse DNS zones
112.3.151.in-addr.arpa
113.3.151.in-addr.arpa
114.3.151.in-addr.arpa
115.3.151.in-addr.arpa
116.3.151.in-addr.arpa
117.3.151.in-addr.arpa
118.3.151.in-addr.arpa
119.3.151.in-addr.arpa
120.3.151.in-addr.arpa
121.3.151.in-addr.arpa
122.3.151.in-addr.arpa
123.3.151.in-addr.arpa
124.3.151.in-addr.arpa
125.3.151.in-addr.arpa
126.3.151.in-addr.arpa
127.3.151.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10010111.00000011.01110000.00000000151.3.112.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network10010111.00000011.01110000.00000000151.3.112.0
Broadcast10010111.00000011.01111111.11111111151.3.127.255
Split into smaller subnets/30

151.3.112.0/20 makes 1,024 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1151.3.112.0/30151.3.112.1 to 151.3.112.2151.3.112.32
2151.3.112.4/30151.3.112.5 to 151.3.112.6151.3.112.72
3151.3.112.8/30151.3.112.9 to 151.3.112.10151.3.112.112
4151.3.112.12/30151.3.112.13 to 151.3.112.14151.3.112.152
5151.3.112.16/30151.3.112.17 to 151.3.112.18151.3.112.192
6151.3.112.20/30151.3.112.21 to 151.3.112.22151.3.112.232
7151.3.112.24/30151.3.112.25 to 151.3.112.26151.3.112.272
8151.3.112.28/30151.3.112.29 to 151.3.112.30151.3.112.312
9151.3.112.32/30151.3.112.33 to 151.3.112.34151.3.112.352
10151.3.112.36/30151.3.112.37 to 151.3.112.38151.3.112.392
11151.3.112.40/30151.3.112.41 to 151.3.112.42151.3.112.432
12151.3.112.44/30151.3.112.45 to 151.3.112.46151.3.112.472
13151.3.112.48/30151.3.112.49 to 151.3.112.50151.3.112.512
14151.3.112.52/30151.3.112.53 to 151.3.112.54151.3.112.552
15151.3.112.56/30151.3.112.57 to 151.3.112.58151.3.112.592
16151.3.112.60/30151.3.112.61 to 151.3.112.62151.3.112.632
17151.3.112.64/30151.3.112.65 to 151.3.112.66151.3.112.672
18151.3.112.68/30151.3.112.69 to 151.3.112.70151.3.112.712
19151.3.112.72/30151.3.112.73 to 151.3.112.74151.3.112.752
20151.3.112.76/30151.3.112.77 to 151.3.112.78151.3.112.792
21151.3.112.80/30151.3.112.81 to 151.3.112.82151.3.112.832
22151.3.112.84/30151.3.112.85 to 151.3.112.86151.3.112.872
23151.3.112.88/30151.3.112.89 to 151.3.112.90151.3.112.912
24151.3.112.92/30151.3.112.93 to 151.3.112.94151.3.112.952
25151.3.112.96/30151.3.112.97 to 151.3.112.98151.3.112.992
26151.3.112.100/30151.3.112.101 to 151.3.112.102151.3.112.1032
27151.3.112.104/30151.3.112.105 to 151.3.112.106151.3.112.1072
28151.3.112.108/30151.3.112.109 to 151.3.112.110151.3.112.1112
29151.3.112.112/30151.3.112.113 to 151.3.112.114151.3.112.1152
30151.3.112.116/30151.3.112.117 to 151.3.112.118151.3.112.1192
31151.3.112.120/30151.3.112.121 to 151.3.112.122151.3.112.1232
32151.3.112.124/30151.3.112.125 to 151.3.112.126151.3.112.1272
33151.3.112.128/30151.3.112.129 to 151.3.112.130151.3.112.1312
34151.3.112.132/30151.3.112.133 to 151.3.112.134151.3.112.1352
35151.3.112.136/30151.3.112.137 to 151.3.112.138151.3.112.1392
36151.3.112.140/30151.3.112.141 to 151.3.112.142151.3.112.1432
37151.3.112.144/30151.3.112.145 to 151.3.112.146151.3.112.1472
38151.3.112.148/30151.3.112.149 to 151.3.112.150151.3.112.1512
39151.3.112.152/30151.3.112.153 to 151.3.112.154151.3.112.1552
40151.3.112.156/30151.3.112.157 to 151.3.112.158151.3.112.1592
41151.3.112.160/30151.3.112.161 to 151.3.112.162151.3.112.1632
42151.3.112.164/30151.3.112.165 to 151.3.112.166151.3.112.1672
43151.3.112.168/30151.3.112.169 to 151.3.112.170151.3.112.1712
44151.3.112.172/30151.3.112.173 to 151.3.112.174151.3.112.1752
45151.3.112.176/30151.3.112.177 to 151.3.112.178151.3.112.1792
46151.3.112.180/30151.3.112.181 to 151.3.112.182151.3.112.1832
47151.3.112.184/30151.3.112.185 to 151.3.112.186151.3.112.1872
48151.3.112.188/30151.3.112.189 to 151.3.112.190151.3.112.1912
49151.3.112.192/30151.3.112.193 to 151.3.112.194151.3.112.1952
50151.3.112.196/30151.3.112.197 to 151.3.112.198151.3.112.1992
51151.3.112.200/30151.3.112.201 to 151.3.112.202151.3.112.2032
52151.3.112.204/30151.3.112.205 to 151.3.112.206151.3.112.2072
53151.3.112.208/30151.3.112.209 to 151.3.112.210151.3.112.2112
54151.3.112.212/30151.3.112.213 to 151.3.112.214151.3.112.2152
55151.3.112.216/30151.3.112.217 to 151.3.112.218151.3.112.2192
56151.3.112.220/30151.3.112.221 to 151.3.112.222151.3.112.2232
57151.3.112.224/30151.3.112.225 to 151.3.112.226151.3.112.2272
58151.3.112.228/30151.3.112.229 to 151.3.112.230151.3.112.2312
59151.3.112.232/30151.3.112.233 to 151.3.112.234151.3.112.2352
60151.3.112.236/30151.3.112.237 to 151.3.112.238151.3.112.2392
61151.3.112.240/30151.3.112.241 to 151.3.112.242151.3.112.2432
62151.3.112.244/30151.3.112.245 to 151.3.112.246151.3.112.2472
63151.3.112.248/30151.3.112.249 to 151.3.112.250151.3.112.2512
64151.3.112.252/30151.3.112.253 to 151.3.112.254151.3.112.2552
65151.3.113.0/30151.3.113.1 to 151.3.113.2151.3.113.32
66151.3.113.4/30151.3.113.5 to 151.3.113.6151.3.113.72
67151.3.113.8/30151.3.113.9 to 151.3.113.10151.3.113.112
68151.3.113.12/30151.3.113.13 to 151.3.113.14151.3.113.152
69151.3.113.16/30151.3.113.17 to 151.3.113.18151.3.113.192
70151.3.113.20/30151.3.113.21 to 151.3.113.22151.3.113.232
71151.3.113.24/30151.3.113.25 to 151.3.113.26151.3.113.272
72151.3.113.28/30151.3.113.29 to 151.3.113.30151.3.113.312
73151.3.113.32/30151.3.113.33 to 151.3.113.34151.3.113.352
74151.3.113.36/30151.3.113.37 to 151.3.113.38151.3.113.392
75151.3.113.40/30151.3.113.41 to 151.3.113.42151.3.113.432
76151.3.113.44/30151.3.113.45 to 151.3.113.46151.3.113.472
77151.3.113.48/30151.3.113.49 to 151.3.113.50151.3.113.512
78151.3.113.52/30151.3.113.53 to 151.3.113.54151.3.113.552
79151.3.113.56/30151.3.113.57 to 151.3.113.58151.3.113.592
80151.3.113.60/30151.3.113.61 to 151.3.113.62151.3.113.632
81151.3.113.64/30151.3.113.65 to 151.3.113.66151.3.113.672
82151.3.113.68/30151.3.113.69 to 151.3.113.70151.3.113.712
83151.3.113.72/30151.3.113.73 to 151.3.113.74151.3.113.752
84151.3.113.76/30151.3.113.77 to 151.3.113.78151.3.113.792
85151.3.113.80/30151.3.113.81 to 151.3.113.82151.3.113.832
86151.3.113.84/30151.3.113.85 to 151.3.113.86151.3.113.872
87151.3.113.88/30151.3.113.89 to 151.3.113.90151.3.113.912
88151.3.113.92/30151.3.113.93 to 151.3.113.94151.3.113.952
89151.3.113.96/30151.3.113.97 to 151.3.113.98151.3.113.992
90151.3.113.100/30151.3.113.101 to 151.3.113.102151.3.113.1032
91151.3.113.104/30151.3.113.105 to 151.3.113.106151.3.113.1072
92151.3.113.108/30151.3.113.109 to 151.3.113.110151.3.113.1112
93151.3.113.112/30151.3.113.113 to 151.3.113.114151.3.113.1152
94151.3.113.116/30151.3.113.117 to 151.3.113.118151.3.113.1192
95151.3.113.120/30151.3.113.121 to 151.3.113.122151.3.113.1232
96151.3.113.124/30151.3.113.125 to 151.3.113.126151.3.113.1272
97151.3.113.128/30151.3.113.129 to 151.3.113.130151.3.113.1312
98151.3.113.132/30151.3.113.133 to 151.3.113.134151.3.113.1352
99151.3.113.136/30151.3.113.137 to 151.3.113.138151.3.113.1392
100151.3.113.140/30151.3.113.141 to 151.3.113.142151.3.113.1432
101151.3.113.144/30151.3.113.145 to 151.3.113.146151.3.113.1472
102151.3.113.148/30151.3.113.149 to 151.3.113.150151.3.113.1512
103151.3.113.152/30151.3.113.153 to 151.3.113.154151.3.113.1552
104151.3.113.156/30151.3.113.157 to 151.3.113.158151.3.113.1592
105151.3.113.160/30151.3.113.161 to 151.3.113.162151.3.113.1632
106151.3.113.164/30151.3.113.165 to 151.3.113.166151.3.113.1672
107151.3.113.168/30151.3.113.169 to 151.3.113.170151.3.113.1712
108151.3.113.172/30151.3.113.173 to 151.3.113.174151.3.113.1752
109151.3.113.176/30151.3.113.177 to 151.3.113.178151.3.113.1792
110151.3.113.180/30151.3.113.181 to 151.3.113.182151.3.113.1832
111151.3.113.184/30151.3.113.185 to 151.3.113.186151.3.113.1872
112151.3.113.188/30151.3.113.189 to 151.3.113.190151.3.113.1912
113151.3.113.192/30151.3.113.193 to 151.3.113.194151.3.113.1952
114151.3.113.196/30151.3.113.197 to 151.3.113.198151.3.113.1992
115151.3.113.200/30151.3.113.201 to 151.3.113.202151.3.113.2032
116151.3.113.204/30151.3.113.205 to 151.3.113.206151.3.113.2072
117151.3.113.208/30151.3.113.209 to 151.3.113.210151.3.113.2112
118151.3.113.212/30151.3.113.213 to 151.3.113.214151.3.113.2152
119151.3.113.216/30151.3.113.217 to 151.3.113.218151.3.113.2192
120151.3.113.220/30151.3.113.221 to 151.3.113.222151.3.113.2232
121151.3.113.224/30151.3.113.225 to 151.3.113.226151.3.113.2272
122151.3.113.228/30151.3.113.229 to 151.3.113.230151.3.113.2312
123151.3.113.232/30151.3.113.233 to 151.3.113.234151.3.113.2352
124151.3.113.236/30151.3.113.237 to 151.3.113.238151.3.113.2392
125151.3.113.240/30151.3.113.241 to 151.3.113.242151.3.113.2432
126151.3.113.244/30151.3.113.245 to 151.3.113.246151.3.113.2472
127151.3.113.248/30151.3.113.249 to 151.3.113.250151.3.113.2512
128151.3.113.252/30151.3.113.253 to 151.3.113.254151.3.113.2552
129151.3.114.0/30151.3.114.1 to 151.3.114.2151.3.114.32
130151.3.114.4/30151.3.114.5 to 151.3.114.6151.3.114.72
131151.3.114.8/30151.3.114.9 to 151.3.114.10151.3.114.112
132151.3.114.12/30151.3.114.13 to 151.3.114.14151.3.114.152
133151.3.114.16/30151.3.114.17 to 151.3.114.18151.3.114.192
134151.3.114.20/30151.3.114.21 to 151.3.114.22151.3.114.232
135151.3.114.24/30151.3.114.25 to 151.3.114.26151.3.114.272
136151.3.114.28/30151.3.114.29 to 151.3.114.30151.3.114.312
137151.3.114.32/30151.3.114.33 to 151.3.114.34151.3.114.352
138151.3.114.36/30151.3.114.37 to 151.3.114.38151.3.114.392
139151.3.114.40/30151.3.114.41 to 151.3.114.42151.3.114.432
140151.3.114.44/30151.3.114.45 to 151.3.114.46151.3.114.472
141151.3.114.48/30151.3.114.49 to 151.3.114.50151.3.114.512
142151.3.114.52/30151.3.114.53 to 151.3.114.54151.3.114.552
143151.3.114.56/30151.3.114.57 to 151.3.114.58151.3.114.592
144151.3.114.60/30151.3.114.61 to 151.3.114.62151.3.114.632
145151.3.114.64/30151.3.114.65 to 151.3.114.66151.3.114.672
146151.3.114.68/30151.3.114.69 to 151.3.114.70151.3.114.712
147151.3.114.72/30151.3.114.73 to 151.3.114.74151.3.114.752
148151.3.114.76/30151.3.114.77 to 151.3.114.78151.3.114.792
149151.3.114.80/30151.3.114.81 to 151.3.114.82151.3.114.832
150151.3.114.84/30151.3.114.85 to 151.3.114.86151.3.114.872
151151.3.114.88/30151.3.114.89 to 151.3.114.90151.3.114.912
152151.3.114.92/30151.3.114.93 to 151.3.114.94151.3.114.952
153151.3.114.96/30151.3.114.97 to 151.3.114.98151.3.114.992
154151.3.114.100/30151.3.114.101 to 151.3.114.102151.3.114.1032
155151.3.114.104/30151.3.114.105 to 151.3.114.106151.3.114.1072
156151.3.114.108/30151.3.114.109 to 151.3.114.110151.3.114.1112
157151.3.114.112/30151.3.114.113 to 151.3.114.114151.3.114.1152
158151.3.114.116/30151.3.114.117 to 151.3.114.118151.3.114.1192
159151.3.114.120/30151.3.114.121 to 151.3.114.122151.3.114.1232
160151.3.114.124/30151.3.114.125 to 151.3.114.126151.3.114.1272
161151.3.114.128/30151.3.114.129 to 151.3.114.130151.3.114.1312
162151.3.114.132/30151.3.114.133 to 151.3.114.134151.3.114.1352
163151.3.114.136/30151.3.114.137 to 151.3.114.138151.3.114.1392
164151.3.114.140/30151.3.114.141 to 151.3.114.142151.3.114.1432
165151.3.114.144/30151.3.114.145 to 151.3.114.146151.3.114.1472
166151.3.114.148/30151.3.114.149 to 151.3.114.150151.3.114.1512
167151.3.114.152/30151.3.114.153 to 151.3.114.154151.3.114.1552
168151.3.114.156/30151.3.114.157 to 151.3.114.158151.3.114.1592
169151.3.114.160/30151.3.114.161 to 151.3.114.162151.3.114.1632
170151.3.114.164/30151.3.114.165 to 151.3.114.166151.3.114.1672
171151.3.114.168/30151.3.114.169 to 151.3.114.170151.3.114.1712
172151.3.114.172/30151.3.114.173 to 151.3.114.174151.3.114.1752
173151.3.114.176/30151.3.114.177 to 151.3.114.178151.3.114.1792
174151.3.114.180/30151.3.114.181 to 151.3.114.182151.3.114.1832
175151.3.114.184/30151.3.114.185 to 151.3.114.186151.3.114.1872
176151.3.114.188/30151.3.114.189 to 151.3.114.190151.3.114.1912
177151.3.114.192/30151.3.114.193 to 151.3.114.194151.3.114.1952
178151.3.114.196/30151.3.114.197 to 151.3.114.198151.3.114.1992
179151.3.114.200/30151.3.114.201 to 151.3.114.202151.3.114.2032
180151.3.114.204/30151.3.114.205 to 151.3.114.206151.3.114.2072
181151.3.114.208/30151.3.114.209 to 151.3.114.210151.3.114.2112
182151.3.114.212/30151.3.114.213 to 151.3.114.214151.3.114.2152
183151.3.114.216/30151.3.114.217 to 151.3.114.218151.3.114.2192
184151.3.114.220/30151.3.114.221 to 151.3.114.222151.3.114.2232
185151.3.114.224/30151.3.114.225 to 151.3.114.226151.3.114.2272
186151.3.114.228/30151.3.114.229 to 151.3.114.230151.3.114.2312
187151.3.114.232/30151.3.114.233 to 151.3.114.234151.3.114.2352
188151.3.114.236/30151.3.114.237 to 151.3.114.238151.3.114.2392
189151.3.114.240/30151.3.114.241 to 151.3.114.242151.3.114.2432
190151.3.114.244/30151.3.114.245 to 151.3.114.246151.3.114.2472
191151.3.114.248/30151.3.114.249 to 151.3.114.250151.3.114.2512
192151.3.114.252/30151.3.114.253 to 151.3.114.254151.3.114.2552
193151.3.115.0/30151.3.115.1 to 151.3.115.2151.3.115.32
194151.3.115.4/30151.3.115.5 to 151.3.115.6151.3.115.72
195151.3.115.8/30151.3.115.9 to 151.3.115.10151.3.115.112
196151.3.115.12/30151.3.115.13 to 151.3.115.14151.3.115.152
197151.3.115.16/30151.3.115.17 to 151.3.115.18151.3.115.192
198151.3.115.20/30151.3.115.21 to 151.3.115.22151.3.115.232
199151.3.115.24/30151.3.115.25 to 151.3.115.26151.3.115.272
200151.3.115.28/30151.3.115.29 to 151.3.115.30151.3.115.312
201151.3.115.32/30151.3.115.33 to 151.3.115.34151.3.115.352
202151.3.115.36/30151.3.115.37 to 151.3.115.38151.3.115.392
203151.3.115.40/30151.3.115.41 to 151.3.115.42151.3.115.432
204151.3.115.44/30151.3.115.45 to 151.3.115.46151.3.115.472
205151.3.115.48/30151.3.115.49 to 151.3.115.50151.3.115.512
206151.3.115.52/30151.3.115.53 to 151.3.115.54151.3.115.552
207151.3.115.56/30151.3.115.57 to 151.3.115.58151.3.115.592
208151.3.115.60/30151.3.115.61 to 151.3.115.62151.3.115.632
209151.3.115.64/30151.3.115.65 to 151.3.115.66151.3.115.672
210151.3.115.68/30151.3.115.69 to 151.3.115.70151.3.115.712
211151.3.115.72/30151.3.115.73 to 151.3.115.74151.3.115.752
212151.3.115.76/30151.3.115.77 to 151.3.115.78151.3.115.792
213151.3.115.80/30151.3.115.81 to 151.3.115.82151.3.115.832
214151.3.115.84/30151.3.115.85 to 151.3.115.86151.3.115.872
215151.3.115.88/30151.3.115.89 to 151.3.115.90151.3.115.912
216151.3.115.92/30151.3.115.93 to 151.3.115.94151.3.115.952
217151.3.115.96/30151.3.115.97 to 151.3.115.98151.3.115.992
218151.3.115.100/30151.3.115.101 to 151.3.115.102151.3.115.1032
219151.3.115.104/30151.3.115.105 to 151.3.115.106151.3.115.1072
220151.3.115.108/30151.3.115.109 to 151.3.115.110151.3.115.1112
221151.3.115.112/30151.3.115.113 to 151.3.115.114151.3.115.1152
222151.3.115.116/30151.3.115.117 to 151.3.115.118151.3.115.1192
223151.3.115.120/30151.3.115.121 to 151.3.115.122151.3.115.1232
224151.3.115.124/30151.3.115.125 to 151.3.115.126151.3.115.1272
225151.3.115.128/30151.3.115.129 to 151.3.115.130151.3.115.1312
226151.3.115.132/30151.3.115.133 to 151.3.115.134151.3.115.1352
227151.3.115.136/30151.3.115.137 to 151.3.115.138151.3.115.1392
228151.3.115.140/30151.3.115.141 to 151.3.115.142151.3.115.1432
229151.3.115.144/30151.3.115.145 to 151.3.115.146151.3.115.1472
230151.3.115.148/30151.3.115.149 to 151.3.115.150151.3.115.1512
231151.3.115.152/30151.3.115.153 to 151.3.115.154151.3.115.1552
232151.3.115.156/30151.3.115.157 to 151.3.115.158151.3.115.1592
233151.3.115.160/30151.3.115.161 to 151.3.115.162151.3.115.1632
234151.3.115.164/30151.3.115.165 to 151.3.115.166151.3.115.1672
235151.3.115.168/30151.3.115.169 to 151.3.115.170151.3.115.1712
236151.3.115.172/30151.3.115.173 to 151.3.115.174151.3.115.1752
237151.3.115.176/30151.3.115.177 to 151.3.115.178151.3.115.1792
238151.3.115.180/30151.3.115.181 to 151.3.115.182151.3.115.1832
239151.3.115.184/30151.3.115.185 to 151.3.115.186151.3.115.1872
240151.3.115.188/30151.3.115.189 to 151.3.115.190151.3.115.1912
241151.3.115.192/30151.3.115.193 to 151.3.115.194151.3.115.1952
242151.3.115.196/30151.3.115.197 to 151.3.115.198151.3.115.1992
243151.3.115.200/30151.3.115.201 to 151.3.115.202151.3.115.2032
244151.3.115.204/30151.3.115.205 to 151.3.115.206151.3.115.2072
245151.3.115.208/30151.3.115.209 to 151.3.115.210151.3.115.2112
246151.3.115.212/30151.3.115.213 to 151.3.115.214151.3.115.2152
247151.3.115.216/30151.3.115.217 to 151.3.115.218151.3.115.2192
248151.3.115.220/30151.3.115.221 to 151.3.115.222151.3.115.2232
249151.3.115.224/30151.3.115.225 to 151.3.115.226151.3.115.2272
250151.3.115.228/30151.3.115.229 to 151.3.115.230151.3.115.2312
251151.3.115.232/30151.3.115.233 to 151.3.115.234151.3.115.2352
252151.3.115.236/30151.3.115.237 to 151.3.115.238151.3.115.2392
253151.3.115.240/30151.3.115.241 to 151.3.115.242151.3.115.2432
254151.3.115.244/30151.3.115.245 to 151.3.115.246151.3.115.2472
255151.3.115.248/30151.3.115.249 to 151.3.115.250151.3.115.2512
256151.3.115.252/30151.3.115.253 to 151.3.115.254151.3.115.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses